Mail archive
alpine-aports

[alpine-aports] [PATCH] main/libffi: add linux-headers dependency for the -dev package

From: alpine-mips-patches <info_at_mobile-stream.com>
Date: Sun, 16 Sep 2018 01:22:22 +0300 (MSK)

Went unnoticed before because most relevant packages require
linux-headers anyway.

---
 main/libffi/APKBUILD | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)
diff --git a/main/libffi/APKBUILD b/main/libffi/APKBUILD
index 24125f7706..decd6cd4a5 100644
--- a/main/libffi/APKBUILD
+++ b/main/libffi/APKBUILD
_at_@ -7,8 +7,9 @@ url="http://sourceware.org/libffi"
 arch="all"
 license="MIT"
 depends=
+depends_dev="linux-headers"
 makedepends_build="texinfo"
-# linux-headers is needed for MIPS atleast
+# on mips* ffitarget.h wants <asm/sgidefs.h>
 makedepends_host="linux-headers"
 install=
 subpackages="$pkgname-dev $pkgname-doc"
-- 
2.19.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Sep 16 2018 - 01:22:22 GMT